UPDATE CONFIGURATION
SET VALUE = (
		SELECT IFNULL(VALUE, '')
		FROM CONFIGURATION
		WHERE [SECTION] = 'Printer'
			AND [KEY] = 'IPAddress'
		)
WHERE [SECTION] = 'Devices'
	AND [KEY] = 'PdfPrintIpAddress';

DELETE
FROM CONFIGURATION
WHERE [SECTION] = 'Printer'
	AND [KEY] = 'IPAddress';
	
UPDATE CONFIGURATION
SET VALUE = (
		SELECT IFNULL(VALUE, 'None')
		FROM CONFIGURATION
		WHERE [SECTION] = 'Core'
			AND [KEY] = 'SerialPrinter'
		)
WHERE [SECTION] = 'Devices'
	AND [KEY] = 'SerialPrinterPort';

DELETE
FROM CONFIGURATION
WHERE [SECTION] = 'Core'
	AND [KEY] = 'SerialPrinter';
	
UPDATE CONFIGURATION
SET VALUE = (
		SELECT IFNULL(VALUE, 'False')
		FROM CONFIGURATION
		WHERE [SECTION] = 'GTL'
			AND [KEY] = 'BarcodeEnabled'
		)
WHERE [SECTION] = 'Devices'
	AND [KEY] = 'BarcodeReaderInstalled';

DELETE
FROM CONFIGURATION
WHERE [SECTION] = 'GTL'
	AND [KEY] = 'BarcodeEnabled';